> ## Documentation Index
> Fetch the complete documentation index at: https://developers.stellar.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a Ledger

> The single ledger endpoint provides information on a specific [ledger](https://developers.stellar.org/docs/learn/fundamentals/stellar-data-structures/ledgers).



## OpenAPI

````yaml openapi/horizon/bundled.yml GET /ledgers/{sequence}
openapi: 3.1.0
info:
  title: Horizon
  version: 0.0.1
  summary: >-
    Horizon provides an HTTP API to data in the Stellar network. It ingests and
    re-serves the data produced by the Stellar network in a form that is easier
    to consume by the average application relative to the performance-oriented
    data representations used by Stellar Core. This API serves the bridge
    between apps and Stellar Core. Projects like wallets, decentralized
    exchanges, and asset issuers use Horizon to submit transactions, query an
    account balance, or stream events like transactions to an account.
  description: >
    Horizon provides an HTTP API to data in the Stellar network. It ingests and
    re-serves the data produced by the Stellar network in a form that is easier
    to consume by the average application relative to the performance-oriented
    data representations used by [Stellar
    Core](https://developers.stellar.org/network/core-node). This API serves the
    bridge between apps and Stellar Core. Projects like wallets, decentralized
    exchanges, and asset issuers use Horizon to submit transactions, query an
    account balance, or stream events like transactions to an account.


    Horizon can be accessed via cURL, a browser, or one of the [Stellar
    SDKs](https://developers.stellar.org/docs/tools/sdks). To reduce the
    complexity of your project, we recommend you use an SDK instead of making
    direct API calls.


    This guide describes how to administer a production Horizon instance (refer
    to the [Developers'
    Blog](https://stellar.org/blog/developers/a-new-sun-on-the-horizon) for some
    background on the performance and architectural improvements of this major
    version bump). For information about developing on the Horizon codebase,
    check out the [Development
    Guide](https://github.com/stellar/stellar-horizon/blob/main/DEVELOPING.md).


    Before we begin, it's worth reiterating the sentiment echoed in the [Core
    Node](https://developers.stellar.org/network/core-node) documentation: **we
    do not endorse running Horizon backed by a standalone Stellar Core
    instance**, and especially not by a _validating_ Stellar Core. These are two
    separate concerns, and decoupling them is important for both reliability and
    performance. Horizon instead manages its own, pared-down version of Stellar
    Core optimized for its own subset of needs (we'll refer to this as a
    "Captive Core" instance).
  termsOfService: https://stellar.org/terms-of-service
  contact:
    name: Stellar Development Foundation
    url: https://stellar.org
    email: hello@stellar.org
  license:
    name: Apache 2.0
    identifier: Apache-2.0
servers:
  - url: https://horizon-testnet.stellar.org
    description: The Testnet Network
  - url: https://horizon-futurenet.stellar.org
    description: The Futurenet network
security: []
tags:
  - name: Accounts
    description: >-
      Users interact with the Stellar network through accounts. Everything else
      in the ledger—assets, offers, trustlines, etc. are owned by accounts, and
      accounts must authorize all changes to the ledger through signed
      transactions.
  - name: Assets
    description: >-
      Assets are representations of value issued on the Stellar network. An
      asset consists of a type, code, and issuer.
  - name: Claimable Balances
    description: >-
      A Claimable Balance represents the transfer of ownership of some amount of
      an asset. Claimable balances provide a mechanism for setting up a payment
      which can be claimed in the future. This allows you to make payments to
      accounts which are currently not able to accept them.
  - name: Effects
    description: >-
      Effects represent specific changes that occur in the ledger as a result of
      successful operations, but are not necessarily directly reflected in the
      ledger or history, as transactions and operations are.
  - name: Fee Stats
    description: >-
      Fee stats are used to predict what fee to set for a transaction before
      submitting it to the network.
  - name: Liquidity Pools
    description: >-
      Liquidity Pools provide a simple, non-interactive way to trade large
      amounts of capital and enable high volumes of trading.
  - name: Ledgers
    description: >-
      Each ledger stores the state of the network at a point in time and
      contains all the changes - transactions, operations, effects, etc. - to
      that state.
  - name: Offers
    description: >-
      Offers are statements about how much of an asset an account wants to buy
      or sell.
  - name: Operations
    description: >-
      Operations are objects that represent a desired change to the ledger:
      payments, offers to exchange currency, changes made to account options,
      etc. Operations are submitted to the Stellar network grouped in a
      Transaction.
  - name: Order Books
    description: An order book is a collections of offers for a specific pair of assets.
  - name: Paths
    description: >-
      Paths provide information about potential path payments. A path can be
      used to populate the necessary fields for a path payment operation.
  - name: Payments
    description: >-
      Payments are objects that represent balance transfer from one address to
      another. Payments are submitted to the Stellar network grouped in a
      Transaction.
  - name: Trade Aggregations
    description: >-
      A trade aggregation represents aggregated statistics on an asset pair
      (base and counter) for a specific time period. Trade aggregations are
      useful to developers of trading clients and provide historical trade data.
  - name: Trades
    description: >-
      When an offer is fully or partially fulfilled, a trade happens. Trades can
      also be caused by successful path payments, because path payments involve
      fulfilling offers. A trade occurs between two parties—base and counter.
      Which is which is either arbitrary or determined by the calling query.
  - name: Transactions
    description: >-
      Transactions are commands that modify the ledger state and consist of one
      or more operations.
paths:
  /ledgers/{sequence}:
    get:
      tags:
        - Ledgers
      summary: Retrieve a Ledger
      description: >-
        The single ledger endpoint provides information on a specific
        [ledger](https://developers.stellar.org/docs/learn/fundamentals/stellar-data-structures/ledgers).
      operationId: RetrieveALedger
      parameters:
        - $ref: '#/components/parameters/SequenceParam'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Ledger'
              examples:
                RetrieveALedger:
                  $ref: '#/components/examples/RetrieveALedger'
components:
  parameters:
    SequenceParam:
      name: sequence
      in: path
      required: true
      description: The sequence number of a specific ledger.
      schema:
        type: integer
        example: 0
  schemas:
    Ledger:
      type: object
      properties:
        _embedded:
          type: object
          properties:
            records:
              type: array
              items:
                type: object
                properties:
                  _links:
                    type: object
                    properties:
                      self:
                        $ref: '#/components/schemas/link'
                      transactions:
                        $ref: '#/components/schemas/link'
                      operations:
                        $ref: '#/components/schemas/link'
                      payments:
                        $ref: '#/components/schemas/link'
                      effects:
                        $ref: '#/components/schemas/link'
                    required:
                      - self
                      - transactions
                      - operations
                      - effects
                  id:
                    $ref: '#/components/schemas/id'
                  paging_token:
                    $ref: '#/components/schemas/paging_token'
                  hash:
                    $ref: '#/components/schemas/hash'
                  pre_hash:
                    $ref: '#/components/schemas/hash'
                  sequence:
                    type: integer
                    format: int32
                  successful_transaction_count:
                    type: integer
                    format: int32
                  failed_transaction_count:
                    type: integer
                    format: int32
                  operation_count:
                    type: integer
                    format: int32
                  tx_set_operation_count:
                    type: integer
                    format: int32
                  closed_at:
                    type: string
                  total_coins:
                    type: string
                  fee_pool:
                    type: string
                  base_fee_in_stroops:
                    type: integer
                    format: int32
                  base_reserve_in_stroops:
                    type: integer
                    format: int32
                  max_tx_set_size:
                    type: integer
                    format: int32
                  protocol_version:
                    type: integer
                    format: int32
                  header_xdr:
                    type: string
          required:
            - id
            - paging_token
            - hash
            - sequence
            - successful_transaction_count
            - failed_transaction_count
            - operation_count
            - tx_set_operation_count
            - closed_at
            - total_coins
            - fee_pool
            - base_fee_in_stroops
            - base_reserve_in_stroops
            - max_tx_set_size
            - protocol_version
            - header_xdr
    link:
      type: object
      properties:
        href:
          type: string
          format: link
        templated:
          type: boolean
      required:
        - href
    id:
      type: string
    paging_token:
      type: string
    hash:
      type: string
  examples:
    RetrieveALedger:
      value:
        _links:
          self:
            href: https://horizon-testnet.stellar.org/ledgers/27146933
          transactions:
            href: >-
              https://horizon-testnet.stellar.org/ledgers/27146933/transactions{?cursor,limit,order}
            templated: true
          operations:
            href: >-
              https://horizon-testnet.stellar.org/ledgers/27146933/operations{?cursor,limit,order}
            templated: true
          payments:
            href: >-
              https://horizon-testnet.stellar.org/ledgers/27146933/payments{?cursor,limit,order}
            templated: true
          effects:
            href: >-
              https://horizon-testnet.stellar.org/ledgers/27146933/effects{?cursor,limit,order}
            templated: true
        id: e1218a337cecda05526fba902c61d3d7130baa58d8db41f544bf563f779b6329
        paging_token: '116595189421703168'
        hash: e1218a337cecda05526fba902c61d3d7130baa58d8db41f544bf563f779b6329
        prev_hash: 9eac16fecd885147067b58b7684f60d216f931b813f651265bbc97de4cea313d
        sequence: 27146933
        successful_transaction_count: 26
        failed_transaction_count: 9
        operation_count: 67
        closed_at: '2019-12-06T22:39:32Z'
        total_coins: '105443902087.3472865'
        fee_pool: '1807264.7509661'
        base_fee_in_stroops: 100
        base_reserve_in_stroops: 5000000
        max_tx_set_size: 1000
        protocol_version: 12
        header_xdr: >-
          AAAADJ6sFv7NiFFHBntYt2hPYNIW+TG4E/ZRJlu8l95M6jE9bsvzId+Gtul2mNMW4UZQ+KqSb/nbN8F1CTxAfQsyUy8AAAAAXerYpAAAAAAAAAAAXQNpS8daKGZUeY5quYUcIiJZBMB7LiLsZJsEx9qw79fx99Bu/lk+sIePNUNcuOC2euthzfhLuWJ1nZBuoQFDjgGeOrUOoh6z7HlbYQAAEG/dvCadAAABFgAAAAAIOwAqAAAAZABMS0AAAAPooSNtHXJNJKKWlBtgkAM1LBxzlzYjIlS0xwpjP+uCi76fQj59wgTy0+xtx7O1qTb+W6zcI2zWZnrUU/8v8RZHFBfoo20QYKh95+wWr348yZAexZpdrjhyCxbChxlVTZOX6nZfIgcYBMnZRkOTCLdPO76yeqpDhqu9KrPe3YPTO3wAAAAA

````